# Add some links for Quanta to find its plug-ins.
if [[ ! -d /opt/trinity/lib/trinity ]]; then
   mkdir -p /opt/trinity/lib/trinity
fi
if [[ ! -L /opt/trinity/lib/trinity/libklinkstatuspart.la ]]; then
   ln -s /usr/lib/trinity/libklinkstatuspart.la /opt/trinity/lib/trinity/libklinkstatuspart.la
fi
if [[ ! -L /opt/trinity/lib/trinity/libkimagemapeditor.la ]]; then
   ln -s /usr/lib/trinity/libkimagemapeditor.la /opt/trinity/lib/trinity/libkimagemapeditor.la
fi
if [[ ! -L /opt/trinity/lib/trinity/libkfilereplacepart.la ]]; then
   ln -s /usr/lib/trinity/libkfilereplacepart.la /opt/trinity/lib/trinity/libkfilereplacepart.la
fi
if [[ ! -L /opt/trinity/lib/trinity/libkxsldbgpart.la ]]; then
   ln -s /usr/lib/trinity/libkxsldbgpart.la /opt/trinity/lib/trinity/libkxsldbgpart.la
fi
